Update Custom Control

Use this API to update a custom control by modifying the required parameters from an existing control.

PUT /sdr/api/custom/controls/update/{cID}

Input ParametersInput Parameters

Pass the custom control ID in the API request.

Sample - Update Custom ControlSample - Update Custom Control

API Request

curl --location '<qualys_base_url>/sdr/api/custom/controls/update/{cID}'
--header 'Content-Type: application/json' \

Request Body

--data-raw '{
    "name": "Ensure that '\''Max PIN attempts'\'' setting is configured in '\''1 to 7'\'' range for the iOS device app protection policy",
    "criticality": "High",
    "criticalityNo": 3,
    "description": "This setting in an iOS device app protection policy specifies the maximum number of times a user can attempt to enter their PIN to access a protected app before the app is locked and requires administrative intervention to unlock.",
    "connectorType": "OFFICE365",
    "entityType": "IOS Managed App Protection Policy",
    "entityIdParam": "displayName",
    "predicate": "$.[?(@.maximumPinRetries >= 1 && @.maximumPinRetries <= 7)]",
    "scope": "API",
    "xpath": "$.value"
}'

Response

"Control Updated Successfully for cID":xxxxx1